Rated 5 out of 5 stars

Still functions correctly in Firefox 6.0 & Beta7.0.Please update.

Needs Update Rated 5 out of 5 stars

I followed your link to the yellow5 website posted here on Aug 20th,installed the add-on...and it is the same version I already had,not compatible with Firefox 5.0.Although it still functions correctly(w/addon compatibility reporter),I would still like an update as I am soon to update Firefox to version 6.o and Beta 7.